SoGLModelMatrixElement(3)

NAME
SoGLModelMatrixElement - The SoGLModelMatrixElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLModelMatrixElement.h>

Inherits SoModelMatrixElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLModelMatrixElement ()
virtual void makeEltIdentity ()
FIXME: write doc.
virtual void setElt (const SbMatrix &matrix)
FIXME: write doc.
virtual void multElt (const SbMatrix &matrix)
FIXME: write doc.
virtual void translateEltBy (const SbVec3f &translation)
FIXME: write doc.
virtual void rotateEltBy (const SbRotation &translation)
FIXME: write doc.
virtual void scaleEltBy (const SbVec3f &scaleFactor)
FIXME: write doc.
virtual SbMatrix pushMatrixElt ()
FIXME: write doc.
virtual void popMatrixElt (const SbMatrix &matrix)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLModelMatrixElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLModelMatrixElement::~SoGLModelMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLModelMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLModelMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLModelMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLModelMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLModelMatrixElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLModelMatrixElement::makeEltIdentity (void) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::multElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::translateEltBy (const SbVec3f & translation) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::rotateEltBy (const SbRotation & translation) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::scaleEltBy (const SbVec3f & scaleFactor) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  SbMatrix SoGLModelMatrixElement::pushMatrixElt (void) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoGLModelMatrixElement::popMatrixElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

Author

Generated automatically by Doxygen for Coin from the source code.